import { requestClient } from '#/api/request';
enum Api {
  baseknowledgeContent = '/knowledgeContent/content',
  queryknowledgeContent = '/knowledgeContent/content/list',
}
//新增知识库内容
export function addKnowledgeContent(data: any) {
  return requestClient.post(Api.baseknowledgeContent, data, {
    successMessageMode: 'message',
  });
}
//修改知识库内容
export function editKnowledgeContent(data: any) {
  return requestClient.put(Api.baseknowledgeContent, data, {
    successMessageMode: 'message',
  });
}
//删除知识库内容
export function deleteKnowledgeContent(roleId: any) {
  return requestClient.delete(`${Api.baseknowledgeContent}/${roleId}`, {
    successMessageMode: 'message',
  });
}
//获取知识库内容详细信息
export function getKnowledgeContentDetail(roleId: any) {
  return requestClient.get(`${Api.baseknowledgeContent}/${roleId}`, {
    isTransformResponse: false,
  });
}
//获取知识库内容目录列表
export function queryKnowledgeContentlist( roleId: any) {
  return requestClient.get(`${Api.queryknowledgeContent}/${roleId}`, {
    isTransformResponse: false,
  });
}
